Bug 150174 - math/blas: Allow Profiled Libraries to be disabled.
Summary: math/blas: Allow Profiled Libraries to be disabled.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Maho Nakata
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-01 06:50 UTC by Scot Hetzel
Modified: 2011-03-01 15:14 UTC (History)
0 users

See Also:


Attachments
file.diff (938 bytes, patch)
2010-09-01 06:50 UTC, Scot Hetzel
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Scot Hetzel 2010-09-01 06:50:01 UTC
If you have a system without profiled libraries installed, the port still wants to install them.

Fix: The attached patch changes the port to use OPTIONS frame work to select if profiled libraries should be installed.

Patch attached with submission follows:
How-To-Repeat: Have a system without profiled libraries installed, and then cd /usr/ports/math/blas ; make install.
Comment 1 Edwin Groothuis freebsd_committer 2010-09-01 06:50:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->maho

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Scot Hetzel 2010-09-01 08:19:05 UTC
There is one fix needed for the patch to prevent /etc/src.conf from
being pulled in by the ports source Makefile.

After applying the patch, add the following to the Makefile:

MAKE_ARGS+= SRCCONF=""

Scot
Comment 3 b. f. 2010-09-16 04:42:17 UTC
This is just a note to say that an alternative patch has been
submitted to the maintainer, maho@, and that he has announced that he
will analyze the problem and make any needed changes soon.

b.
Comment 4 dfilter service freebsd_committer 2010-09-19 23:23:29 UTC
maho        2010-09-19 22:23:23 UTC

  FreeBSD ports repository

  Modified files:
    math/blas            Makefile 
  Log:
  Correct handling profiled libraries.
  
  PR:             150174
  Submitted by:   bf@
  
  Revision  Changes    Path
  1.48      +17 -3     ports/math/blas/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2011-03-01 15:14:19 UTC
State Changed
From-To: open->closed

committed - thanks!